OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

 
Reply to this topicStart new topic
> Got Prboom Working With The Hentges Rom, "fairly" easily...here's how...
tombraider
post Jun 7 2005, 10:31 AM
Post #1





Group: Members
Posts: 409
Joined: 23-November 04
From: Murphy, North Carolina USA
Member No.: 5,590



WAS getting a complaint that prboom.sh couldn't be found.It turns out that it needs ANOTHER wad put in to get it to work.

I happened to have the old Doom1.wad around so I put it in /media/card/usr/share/games/doom/ (prboom.wad should already be in this directory).
Then I symlinked the doom1.wad file (using Advanced file manager) to /usr/share/games/doom.

Then clicked on the Doom icon and it started up the game! (Yeah, I WAS amazed.)

I guess everything else needed for Doom is installed already in the Hentges ROM.

You can download other wads from the internet or download the shareware wad.

Hope this helps someone.
Go to the top of the page
 
+Quote Post
CoreDump
post Jun 7 2005, 11:26 AM
Post #2





Group: Members
Posts: 715
Joined: 25-July 04
From: .de
Member No.: 4,094



Correct. The next release will ship a "freedoom" .wad so prboom will work right out of the box.
Go to the top of the page
 
+Quote Post
Storm
post Jun 9 2005, 06:48 AM
Post #3





Group: Members
Posts: 156
Joined: 29-March 05
From: Virginia
Member No.: 6,736



QUOTE(tombraider @ Jun 7 2005, 02:31 PM)
WAS getting a complaint that prboom.sh couldn't be found.It turns out that it needs ANOTHER wad put in to get it to work.

I happened to have the old Doom1.wad around so I put it in /media/card/usr/share/games/doom/  (prboom.wad should already be in this directory).
Then I symlinked the doom1.wad file (using Advanced file manager) to /usr/share/games/doom.

Then clicked on the Doom icon and it started up the game!  (Yeah,  I WAS amazed.)

I guess everything else needed for Doom is installed already in the Hentges ROM.

You can download other wads from the internet or download the shareware wad.

Hope this helps someone.
*


I am running OZ3.5.3, and installed prboom and the doom wad. I checked the links for doom.wad and there was one in /opt/QtPalmtop/share/games/doom and one in /usr/share/games/doom. When I click the Doom icon on my desktop, I get a pop-up saying "Could not locate application prboom"

Anybody seen this?

Thanks,
--Storm
Go to the top of the page
 
+Quote Post
lardman
post Jun 10 2005, 12:52 AM
Post #4





Group: Members
Posts: 4,515
Joined: 25-October 03
From: Bath, UK
Member No.: 464



Run it from the command line....................... see what it says.
Go to the top of the page
 
+Quote Post
Storm
post Jun 15 2005, 08:53 PM
Post #5





Group: Members
Posts: 156
Joined: 29-March 05
From: Virginia
Member No.: 6,736



QUOTE(lardman @ Jun 10 2005, 04:52 AM)
Run it from the command line....................... see what it says.
*


The tail of the startup from the command line.

CODE
HU_Init: Setting up heads up display.
I_InitGraphics: 320x200
I UpdateVideoMode: 320x200 (fullscreen)
Couldn't set 320x240 video mode [No video mode large enough for 320x200]
I_ShutdownMusic: removing /tmp/prboom-music-gXyVIy
I_ShutdownSound:


--Storm
Go to the top of the page
 
+Quote Post
Greg2
post Jun 16 2005, 05:31 AM
Post #6





Group: Members
Posts: 790
Joined: 28-October 03
From: USA
Member No.: 792



QUOTE(Storm @ Jun 16 2005, 12:53 AM)
The tail of the startup from the command line.

CODE
HU_Init: Setting up heads up display.
I_InitGraphics: 320x200
I UpdateVideoMode: 320x200 (fullscreen)
Couldn't set 320x240 video mode [No video mode large enough for 320x200]
I_ShutdownMusic: removing /tmp/prboom-music-gXyVIy
I_ShutdownSound:


--Storm

Did you ipkg-link add prboom... or maybe 'prboom-opie'?

Start it with:
# prboom.sh

and that will add the -height 240

If that works you will have to symlink the prboom.sh and prboom to your /usr/bin if ipkg-link missed it.

Greg
Go to the top of the page
 
+Quote Post
Storm
post Jun 16 2005, 02:50 PM
Post #7





Group: Members
Posts: 156
Joined: 29-March 05
From: Virginia
Member No.: 6,736



[quote=Greg2,Jun 16 2005, 09:31 AM]
Did you ipkg-link add prboom... or maybe 'prboom-opie'?
[/quote]

Shouldn;'t need to, since I am pivoting root to the SD card (I'm getting ready to upgrade to a 1GB SD card), so root is the sd card...


Start it with:
# prboom.sh

and that will add the -height 240

If that works you will have to symlink the prboom.sh and prboom to your /usr/bin if ipkg-link missed it.
*

[/quote]

I don't have either. I installed from the feed, but I don't have either prboom.sh or prboom-opie:

CODE
[root@chaffee root]# find / -name \*prboom\*
/opt/QtPalmtop/bin/prboom
/usr/bin/prboom
/usr/lib/ipkg/info/prboom.control
/usr/lib/ipkg/info/prboom.list
/usr/share/games/doom/prboom.wad


The other issue is that I am pivoting root to the SD card, so I shouldn't need to ipkg-link anything. Correct?

Thanks,
--Storm
Go to the top of the page
 
+Quote Post
Greg2
post Jun 16 2005, 03:22 PM
Post #8





Group: Members
Posts: 790
Joined: 28-October 03
From: USA
Member No.: 792



QUOTE(Storm @ Jun 16 2005, 06:50 PM)
I don't have either. I installed from the feed, but I don't have either prboom.sh or prboom-opie:

CODE
[root@chaffee root]# find / -name \*prboom\*
/opt/QtPalmtop/bin/prboom
/usr/bin/prboom
/usr/lib/ipkg/info/prboom.control
/usr/lib/ipkg/info/prboom.list
/usr/share/games/doom/prboom.wad

I think you have installed the wrong prboom... there's two in the feed?

If you installed prboom-opie_2.2.6-r4_arm from the 3.5.3 feed you should have prboom and prboom.sh in /usr/bin... this one will work in your 5500.

Greg
Go to the top of the page
 
+Quote Post
Storm
post Jun 17 2005, 06:01 PM
Post #9





Group: Members
Posts: 156
Joined: 29-March 05
From: Virginia
Member No.: 6,736



QUOTE(Greg2 @ Jun 16 2005, 07:22 PM)
QUOTE(Storm @ Jun 16 2005, 06:50 PM)
I don't have either. I installed from the feed, but I don't have either prboom.sh or prboom-opie:

CODE
[root@chaffee root]# find / -name \*prboom\*
/opt/QtPalmtop/bin/prboom
/usr/bin/prboom
/usr/lib/ipkg/info/prboom.control
/usr/lib/ipkg/info/prboom.list
/usr/share/games/doom/prboom.wad

I think you have installed the wrong prboom... there's two in the feed?

If you installed prboom-opie_2.2.6-r4_arm from the 3.5.3 feed you should have prboom and prboom.sh in /usr/bin... this one will work in your 5500.

Greg
*



You're right. Installing the right package sure helps... biggrin.gif

--Storm
Go to the top of the page
 
+Quote Post
charlie
post Jun 22 2005, 04:34 AM
Post #10





Group: Members
Posts: 87
Joined: 5-June 03
From: UK - The frozen North
Member No.: 94



It seems to be installed alright but my output is

"prboom v2.2.6 (http:/prboom.sourceforge.net/)
Z_Init : Allocated 8064Kb zone memory
Could not initialize SDL [No available video device]"

All the libSDL's were installed by Hentges. Is there something I am missing?

Thanks

Chas
Go to the top of the page
 
+Quote Post
CoreDump
post Jun 22 2005, 06:45 AM
Post #11





Group: Members
Posts: 715
Joined: 25-July 04
From: .de
Member No.: 4,094



QUOTE(charlie @ Jun 22 2005, 02:34 PM)
It seems to be installed alright but my output is

"prboom v2.2.6  (http:/prboom.sourceforge.net/)
Z_Init : Allocated 8064Kb zone memory
Could not initialize SDL [No available video device]"

All the libSDL's were installed by Hentges.  Is there something I am missing?

Thanks

Chas
*


A working prboom ships with all OZ 3.5.3 Hentges firmwares. The only thing lacking is a
.wad file. Install the .wad as tombraider explained and it will run out-of-the-box by clicking its icon.

Note: The icon launches a shellscript and not the binary directly. Launching prboom directly will fail
if you do not provide the right options.
Go to the top of the page
 
+Quote Post
charlie
post Jun 23 2005, 04:20 AM
Post #12





Group: Members
Posts: 87
Joined: 5-June 03
From: UK - The frozen North
Member No.: 94



Thanks Coredump,

so now I have

doom1.wad, doom2.wad and prboom.wad in /media/card/usr/share/games/doom/ .
All symlinked (using Advanced file manager) to /usr/share/games/doom.

I still get the same message in console when I run

prboom.sh

about No available video device.

Clicking icon still provides "Could not locat prboom.sh"

Is it a symlink issue?
Clues appreciated.

Thanks again
Chas
Go to the top of the page
 
+Quote Post
CoreDump
post Jun 23 2005, 07:09 AM
Post #13





Group: Members
Posts: 715
Joined: 25-July 04
From: .de
Member No.: 4,094



QUOTE(charlie @ Jun 23 2005, 02:20 PM)
Thanks Coredump,

so now I have

doom1.wad, doom2.wad and prboom.wad in /media/card/usr/share/games/doom/ .
All symlinked (using Advanced file manager) to /usr/share/games/doom.

I still get the same message in console when I run

prboom.sh

about No available video device.

Clicking icon still provides "Could not locat prboom.sh"

Is it a symlink issue?
Clues appreciated.

Thanks again
Chas
*


I'd think so, yes. The exact same setup works for me. FWIW release T2 comes with freedoom pre-installed. You may want to have a go at it.
Go to the top of the page
 
+Quote Post
charlie
post Jun 24 2005, 03:48 AM
Post #14





Group: Members
Posts: 87
Joined: 5-June 03
From: UK - The frozen North
Member No.: 94



Thanks for advice. I'm afraid I'm on T2 so I'll keep playing over the weekend and report back.

I get frustrated and confused that people installing the same software on the same machine in the same way get different errors.

Chas
Go to the top of the page
 
+Quote Post
charlie
post Jun 29 2005, 03:55 AM
Post #15





Group: Members
Posts: 87
Joined: 5-June 03
From: UK - The frozen North
Member No.: 94



So I flashed again and as promised it works straight of the box.

I must have installed something over the top which broke sdl.

So I have installed things in small batches and only ones that I find necessary rather than absolutely everything and kept leaving the package manager and checking that things are still working.

Now I think that I need to go and protect my loved ones from the alien horde.

Thanks,

Chas
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd December 2014 - 09:09 PM